Bug 165536 - TB /usr/lib/python2.3/string.py:135:join:TypeError: sequence expected, NoneType found
TB /usr/lib/python2.3/string.py:135:join:TypeError: sequence expected, NoneTy...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-08-10 05:55 EDT by Vladimir Michl
Modified: 2008-05-06 20:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Michl 2005-08-10 05:55:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 312, in main
    devlist.save()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 376, in save
    hoconf[host.Hostname] = [host.IP, host.AliasList]
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 583, in __setitem__    self.insertlinelist([ value[0], varname,
  File "/usr/lib/python2.3/string.py", line 135, in join
    return sep.join(words)
TypeError: sequence expected, NoneType found

Local variables in innermost frame:
words: None
sep:


Version-Release number of selected component (if applicable):
1.3.22

How reproducible:
Always

Steps to Reproduce:
rm /etc/sysconfig/networking/profiles/default/hosts

and use following command system-config-network-cmd -i -c -o
to load the following file

ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.ActiveDevices.2=eth0:1
ProfileList.default.ActiveDevices.3=eth0:2
ProfileList.default.ActiveDevices.4=eth0:3
ProfileList.default.ActiveDevices.5=eth0:4
ProfileList.default.ActiveDevices.6=eth0:5
ProfileList.default.ActiveDevices.7=eth0:6
ProfileList.default.ActiveDevices.8=eth0:7
ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.1=localhost
ProfileList.default.HostsList.1.AliasList.2=df
ProfileList.default.HostsList.1.AliasList.3=tdf1
ProfileList.default.HostsList.1.AliasList.4=tdf01
ProfileList.default.HostsList.1.AliasList.5=tdf2
ProfileList.default.HostsList.1.AliasList.6=tdf02
ProfileList.default.HostsList.1.AliasList.7=tdf3
ProfileList.default.HostsList.1.AliasList.8=tdf03
ProfileList.default.HostsList.1.AliasList.9=tdf4
ProfileList.default.HostsList.1.AliasList.10=tdf04
ProfileList.default.HostsList.1.AliasList.11=tdf5
ProfileList.default.HostsList.1.AliasList.12=tdf05
ProfileList.default.HostsList.1.AliasList.13=tdf6
ProfileList.default.HostsList.1.AliasList.14=tdf06
ProfileList.default.HostsList.2.IP=10.123.0.105
ProfileList.default.HostsList.2.Hostname=tools.tdn.turftrax.com
ProfileList.default.HostsList.3.IP=10.123.0.104
ProfileList.default.HostsList.3.Hostname=www.turftrax.com
ProfileList.default.HostsList.4.IP=10.123.0.10
ProfileList.default.HostsList.4.Hostname=tds01
ProfileList.default.HostsList.4.AliasList.1=tds1
ProfileList.default.HostsList.4.AliasList.2=tds
ProfileList.default.HostsList.5.IP=10.123.2.254
ProfileList.default.HostsList.5.Hostname=tdfgw
ProfileList.default.HostsList.6.IP=172.20.254.10
ProfileList.default.HostsList.6.Hostname=tdf
ProfileList.default.HostsList.7.IP=172.20.254.253
ProfileList.default.HostsList.7.Hostname=pp
ProfileList.default.HostsList.7.AliasList.1=a
ProfileList.default.DNS.PrimaryDNS=10.123.0.240
ProfileList.default.DNS.SecondaryDNS=
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=tdf04
ProfileList.default.Active=true
ProfileList.default.ProfileName=default


Additional info:
Comment 1 Matthew Miller 2006-07-10 17:47:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Bug Zapper 2008-04-03 12:16:43 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:13:29 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.